import{s as Xe,o as Ze,n as et}from"../chunks/scheduler.182ea377.js";import{S as tt,i as st,g as r,s as i,r as p,A as nt,h as a,f as s,c as o,j as S,u as h,x as u,k as $,y as t,a as l,v as f,d as g,t as _,w as v}from"../chunks/index.abf12888.js";import{T as it}from"../chunks/Tip.230e2334.js";import{D as L}from"../chunks/Docstring.93f6f462.js";import{H as Ne}from"../chunks/Heading.16916d63.js";function ot(oe){let m,P="<code>epsilon</code> in the equations for <code>c_skip</code> and <code>c_out</code> is set to <code>sigma_min</code>.";return{c(){m=r("p"),m.innerHTML=P},l(b){m=a(b,"P",{"data-svelte-h":!0}),u(m)!=="svelte-a3ozzd"&&(m.innerHTML=P)},m(b,W){l(b,m,W)},p:et,d(b){b&&s(m)}}}function rt(oe){let m,P,b,W,H,re,O,qe='<a href="https://huggingface.co/papers/2303.01469" rel="nofollow">Consistency Models</a> by Yang Song, Prafulla Dhariwal, Mark Chen, and Ilya Sutskever introduced a multistep and onestep scheduler (Algorithm 1) that is capable of generating good samples in one or a small number of steps.',ae,E,ze="The abstract from the paper is:",ce,A,Ve="<em>Diffusion models have significantly advanced the fields of image, audio, and video generation, but they depend on an iterative sampling process that causes slow generation. To overcome this limitation, we propose consistency models, a new family of models that generate high quality samples by directly mapping noise to data. They support fast one-step generation by design, while still allowing multistep sampling to trade compute for sample quality. They also support zero-shot data editing, such as image inpainting, colorization, and super-resolution, without requiring explicit training on these tasks. Consistency models can be trained either by distilling pre-trained diffusion models, or as standalone generative models altogether. Through extensive experiments, we demonstrate that they outperform existing distillation techniques for diffusion models in one- and few-step sampling, achieving the new state-of-the-art FID of 3.55 on CIFAR-10 and 6.20 on ImageNet 64x64 for one-step generation. When trained in isolation, consistency models become a new family of generative models that can outperform existing one-step, non-adversarial generative models on standard benchmarks such as CIFAR-10, ImageNet 64x64 and LSUN 256x256.</em>",de,F,Ue='The original codebase can be found at <a href="https://github.com/openai/consistency_models" rel="nofollow">openai/consistency_models</a>.',le,k,me,c,N,$e,Y,je="Multistep and onestep sampling for consistency models.",Ce,B,Ke=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,ye,x,q,Me,J,Ge=`Gets the scalings used in the consistency model parameterization (from Appendix C of the
<a href="https://huggingface.co/papers/2303.01469" rel="nofollow">paper</a>) to enforce boundary condition.`,Ie,y,Te,M,z,we,Q,Re="Scales the consistency model input by <code>(sigma**2 + sigma_data**2) ** 0.5</code>.",De,I,V,Le,X,We="Sets the begin index for the scheduler. This function should be run from pipeline before the inference.",Pe,T,U,He,Z,Ye="Sets the timesteps used for the diffusion chain (to be run before inference).",Oe,w,j,Ee,ee,Be="Gets scaled timesteps from the Karras sigmas for input to the consistency model.",Ae,D,K,Fe,te,Je=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ue,G,pe,C,R,ke,se,Qe="Output class for the scheduler’s <code>step</code> function.",he,ie,fe;return H=new Ne({props:{title:"CMStochasticIterativeScheduler",local:"cmstochasticiterativescheduler",headingTag:"h1"}}),k=new Ne({props:{title:"CMStochasticIterativeScheduler",local:"diffusers.CMStochasticIterativeScheduler",headingTag:"h2"}}),N=new L({props:{name:"class diffusers.CMStochasticIterativeScheduler",anchor:"diffusers.CMStochasticIterativeScheduler",parameters:[{name:"num_train_timesteps",val:": int = 40"},{name:"sigma_min",val:": float = 0.002"},{name:"sigma_max",val:": float = 80.0"},{name:"sigma_data",val:": float = 0.5"},{name:"s_noise",val:": float = 1.0"},{name:"rho",val:": float = 7.0"},{name:"clip_denoised",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 40) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_min",description:`<strong>sigma_min</strong> (<code>float</code>, defaults to 0.002) &#x2014;
Minimum noise magnitude in the sigma schedule. Defaults to 0.002 from the original implementation.`,name:"sigma_min"},{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_max",description:`<strong>sigma_max</strong> (<code>float</code>, defaults to 80.0) &#x2014;
Maximum noise magnitude in the sigma schedule. Defaults to 80.0 from the original implementation.`,name:"sigma_max"},{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_data",description:`<strong>sigma_data</strong> (<code>float</code>, defaults to 0.5) &#x2014;
The standard deviation of the data distribution from the EDM
<a href="https://huggingface.co/papers/2206.00364" rel="nofollow">paper</a>. Defaults to 0.5 from the original implementation.`,name:"sigma_data"},{anchor:"diffusers.CMStochasticIterativeScheduler.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The amount of additional noise to counteract loss of detail during sampling. A reasonable range is [1.000,
1.011]. Defaults to 1.0 from the original implementation.`,name:"s_noise"},{anchor:"diffusers.CMStochasticIterativeScheduler.rho",description:`<strong>rho</strong> (<code>float</code>, defaults to 7.0) &#x2014;
The parameter for calculating the Karras sigma schedule from the EDM
<a href="https://huggingface.co/papers/2206.00364" rel="nofollow">paper</a>. Defaults to 7.0 from the original implementation.`,name:"rho"},{anchor:"diffusers.CMStochasticIterativeScheduler.clip_denoised",description:`<strong>clip_denoised</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to clip the denoised outputs to <code>(-1, 1)</code>.`,name:"clip_denoised"},{anchor:"diffusers.CMStochasticIterativeScheduler.timesteps",description:`<strong>timesteps</strong> (<code>List</code> or <code>np.ndarray</code> or <code>torch.Tensor</code>, <em>optional</em>) &#x2014;
An explicit timestep schedule that can be optionally specified. The timesteps are expected to be in
increasing order.`,name:"timesteps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L44"}}),q=new L({props:{name:"get_scalings_for_boundary_condition",anchor:"diffusers.CMStochasticIterativeScheduler.get_scalings_for_boundary_condition",parameters:[{name:"sigma",val:""}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.get_scalings_for_boundary_condition.sigma",description:`<strong>sigma</strong> (<code>torch.FloatTensor</code>) &#x2014;
The current sigma in the Karras sigma schedule.`,name:"sigma"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L269",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A two-element tuple where <code>c_skip</code> (which weights the current sample) is the first element and <code>c_out</code>
(which weights the consistency model output) is the second element.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>tuple</code></p>
`}}),y=new it({props:{$$slots:{default:[ot]},$$scope:{ctx:oe}}}),z=new L({props:{name:"scale_model_input",anchor:"diffusers.CMStochasticIterativeScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": Union"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.CMStochasticIterativeScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>float</code> or <code>torch.FloatTensor</code>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L129",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),V=new L({props:{name:"set_begin_index",anchor:"diffusers.CMStochasticIterativeScheduler.set_begin_index",parameters:[{name:"begin_index",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.set_begin_index.begin_index",description:`<strong>begin_index</strong> (<code>int</code>) &#x2014;
The begin index for the scheduler.`,name:"begin_index"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L119"}}),U=new L({props:{name:"set_timesteps",anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": Optional = None"},{name:"device",val:": Union = None"},{name:"timesteps",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"},{anchor:"diffusers.CMStochasticIterativeScheduler.set_timesteps.timesteps",description:`<strong>timesteps</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Custom timesteps used to support arbitrary spacing between timesteps. If <code>None</code>, then the default
timestep spacing strategy of equal spacing between timesteps is used. If <code>timesteps</code> is passed,
<code>num_inference_steps</code> must be <code>None</code>.`,name:"timesteps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L175"}}),j=new L({props:{name:"sigma_to_t",anchor:"diffusers.CMStochasticIterativeScheduler.sigma_to_t",parameters:[{name:"sigmas",val:": Union"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.sigma_to_t.sigmas",description:`<strong>sigmas</strong> (<code>float</code> or <code>np.ndarray</code>) &#x2014;
A single Karras sigma or an array of Karras sigmas.`,name:"sigmas"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L156",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input timestep or scaled input timestep array.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>float</code> or <code>np.ndarray</code></p>
`}}),K=new L({props:{name:"step",anchor:"diffusers.CMStochasticIterativeScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": Union"},{name:"sample",val:": FloatTensor"},{name:"generator",val:": Optional = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.CMStochasticIterativeScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.CMStochasticIterativeScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a
<a href="/docs/diffusers/main/en/api/schedulers/cm_stochastic_iterative#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput">CMStochasticIterativeSchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L320",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>,
<a
  href="/docs/diffusers/main/en/api/schedulers/cm_stochastic_iterative#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput"
>CMStochasticIterativeSchedulerOutput</a> is returned,
otherwise a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/main/en/api/schedulers/cm_stochastic_iterative#diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput"
>CMStochasticIterativeSchedulerOutput</a> or <code>tuple</code></p>
`}}),G=new Ne({props:{title:"CMStochasticIterativeSchedulerOutput",local:"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput",headingTag:"h2"}}),R=new L({props:{name:"class diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput",anchor:"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_consistency_models.py#L30"}}),{c(){m=r("meta"),P=i(),b=r("p"),W=i(),p(H.$$.fragment),re=i(),O=r("p"),O.innerHTML=qe,ae=i(),E=r("p"),E.textContent=ze,ce=i(),A=r("p"),A.innerHTML=Ve,de=i(),F=r("p"),F.innerHTML=Ue,le=i(),p(k.$$.fragment),me=i(),c=r("div"),p(N.$$.fragment),$e=i(),Y=r("p"),Y.textContent=je,Ce=i(),B=r("p"),B.innerHTML=Ke,ye=i(),x=r("div"),p(q.$$.fragment),Me=i(),J=r("p"),J.innerHTML=Ge,Ie=i(),p(y.$$.fragment),Te=i(),M=r("div"),p(z.$$.fragment),we=i(),Q=r("p"),Q.innerHTML=Re,De=i(),I=r("div"),p(V.$$.fragment),Le=i(),X=r("p"),X.textContent=We,Pe=i(),T=r("div"),p(U.$$.fragment),He=i(),Z=r("p"),Z.textContent=Ye,Oe=i(),w=r("div"),p(j.$$.fragment),Ee=i(),ee=r("p"),ee.textContent=Be,Ae=i(),D=r("div"),p(K.$$.fragment),Fe=i(),te=r("p"),te.textContent=Je,ue=i(),p(G.$$.fragment),pe=i(),C=r("div"),p(R.$$.fragment),ke=i(),se=r("p"),se.innerHTML=Qe,he=i(),ie=r("p"),this.h()},l(e){const n=nt("svelte-u9bgzb",document.head);m=a(n,"META",{name:!0,content:!0}),n.forEach(s),P=o(e),b=a(e,"P",{}),S(b).forEach(s),W=o(e),h(H.$$.fragment,e),re=o(e),O=a(e,"P",{"data-svelte-h":!0}),u(O)!=="svelte-je4cvt"&&(O.innerHTML=qe),ae=o(e),E=a(e,"P",{"data-svelte-h":!0}),u(E)!=="svelte-1cwsb16"&&(E.textContent=ze),ce=o(e),A=a(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1s9qdye"&&(A.innerHTML=Ve),de=o(e),F=a(e,"P",{"data-svelte-h":!0}),u(F)!=="svelte-1ci2nab"&&(F.innerHTML=Ue),le=o(e),h(k.$$.fragment,e),me=o(e),c=a(e,"DIV",{class:!0});var d=S(c);h(N.$$.fragment,d),$e=o(d),Y=a(d,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-252n82"&&(Y.textContent=je),Ce=o(d),B=a(d,"P",{"data-svelte-h":!0}),u(B)!=="svelte-linuuh"&&(B.innerHTML=Ke),ye=o(d),x=a(d,"DIV",{class:!0});var ne=S(x);h(q.$$.fragment,ne),Me=o(ne),J=a(ne,"P",{"data-svelte-h":!0}),u(J)!=="svelte-1t9pjgt"&&(J.innerHTML=Ge),Ie=o(ne),h(y.$$.fragment,ne),ne.forEach(s),Te=o(d),M=a(d,"DIV",{class:!0});var ge=S(M);h(z.$$.fragment,ge),we=o(ge),Q=a(ge,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-hzru6p"&&(Q.innerHTML=Re),ge.forEach(s),De=o(d),I=a(d,"DIV",{class:!0});var _e=S(I);h(V.$$.fragment,_e),Le=o(_e),X=a(_e,"P",{"data-svelte-h":!0}),u(X)!=="svelte-1k141rk"&&(X.textContent=We),_e.forEach(s),Pe=o(d),T=a(d,"DIV",{class:!0});var ve=S(T);h(U.$$.fragment,ve),He=o(ve),Z=a(ve,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-qri72b"&&(Z.textContent=Ye),ve.forEach(s),Oe=o(d),w=a(d,"DIV",{class:!0});var be=S(w);h(j.$$.fragment,be),Ee=o(be),ee=a(be,"P",{"data-svelte-h":!0}),u(ee)!=="svelte-1yxdts4"&&(ee.textContent=Be),be.forEach(s),Ae=o(d),D=a(d,"DIV",{class:!0});var xe=S(D);h(K.$$.fragment,xe),Fe=o(xe),te=a(xe,"P",{"data-svelte-h":!0}),u(te)!=="svelte-hi84tp"&&(te.textContent=Je),xe.forEach(s),d.forEach(s),ue=o(e),h(G.$$.fragment,e),pe=o(e),C=a(e,"DIV",{class:!0});var Se=S(C);h(R.$$.fragment,Se),ke=o(Se),se=a(Se,"P",{"data-svelte-h":!0}),u(se)!=="svelte-xucjnj"&&(se.innerHTML=Qe),Se.forEach(s),he=o(e),ie=a(e,"P",{}),S(ie).forEach(s),this.h()},h(){$(m,"name","hf:doc:metadata"),$(m,"content",at),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,m),l(e,P,n),l(e,b,n),l(e,W,n),f(H,e,n),l(e,re,n),l(e,O,n),l(e,ae,n),l(e,E,n),l(e,ce,n),l(e,A,n),l(e,de,n),l(e,F,n),l(e,le,n),f(k,e,n),l(e,me,n),l(e,c,n),f(N,c,null),t(c,$e),t(c,Y),t(c,Ce),t(c,B),t(c,ye),t(c,x),f(q,x,null),t(x,Me),t(x,J),t(x,Ie),f(y,x,null),t(c,Te),t(c,M),f(z,M,null),t(M,we),t(M,Q),t(c,De),t(c,I),f(V,I,null),t(I,Le),t(I,X),t(c,Pe),t(c,T),f(U,T,null),t(T,He),t(T,Z),t(c,Oe),t(c,w),f(j,w,null),t(w,Ee),t(w,ee),t(c,Ae),t(c,D),f(K,D,null),t(D,Fe),t(D,te),l(e,ue,n),f(G,e,n),l(e,pe,n),l(e,C,n),f(R,C,null),t(C,ke),t(C,se),l(e,he,n),l(e,ie,n),fe=!0},p(e,[n]){const d={};n&2&&(d.$$scope={dirty:n,ctx:e}),y.$set(d)},i(e){fe||(g(H.$$.fragment,e),g(k.$$.fragment,e),g(N.$$.fragment,e),g(q.$$.fragment,e),g(y.$$.fragment,e),g(z.$$.fragment,e),g(V.$$.fragment,e),g(U.$$.fragment,e),g(j.$$.fragment,e),g(K.$$.fragment,e),g(G.$$.fragment,e),g(R.$$.fragment,e),fe=!0)},o(e){_(H.$$.fragment,e),_(k.$$.fragment,e),_(N.$$.fragment,e),_(q.$$.fragment,e),_(y.$$.fragment,e),_(z.$$.fragment,e),_(V.$$.fragment,e),_(U.$$.fragment,e),_(j.$$.fragment,e),_(K.$$.fragment,e),_(G.$$.fragment,e),_(R.$$.fragment,e),fe=!1},d(e){e&&(s(P),s(b),s(W),s(re),s(O),s(ae),s(E),s(ce),s(A),s(de),s(F),s(le),s(me),s(c),s(ue),s(pe),s(C),s(he),s(ie)),s(m),v(H,e),v(k,e),v(N),v(q),v(y),v(z),v(V),v(U),v(j),v(K),v(G,e),v(R)}}}const at='{"title":"CMStochasticIterativeScheduler","local":"cmstochasticiterativescheduler","sections":[{"title":"CMStochasticIterativeScheduler","local":"diffusers.CMStochasticIterativeScheduler","sections":[],"depth":2},{"title":"CMStochasticIterativeSchedulerOutput","local":"diffusers.schedulers.scheduling_consistency_models.CMStochasticIterativeSchedulerOutput","sections":[],"depth":2}],"depth":1}';function ct(oe){return Ze(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ht extends tt{constructor(m){super(),st(this,m,ct,rt,Xe,{})}}export{ht as component};
